nodes = get_NodePlacement;
numOfNodes  = length(nodes);

srcNode=1;
dstNode=2;

startTime = 0;
endTime = 100;
deltaTime = 1;

figure(1);
axis([0 1600 450 550]);

nodeColor = 'g';
nodeColor = repmat(nodeColor, numOfNodes, 1);
nodeColor(srcNode) = 'r';
nodeColor(dstNode) = 'b';
fontSize = 12;

time = startTime;
position = get_NodeCurrPosition(nodes, (1:numOfNodes), time);
for nodeId=1:numOfNodes
	h(nodeId) = text(real(position(nodeId)), imag(position(nodeId)), int2str(nodeId));
	set(h(nodeId), 'Color', nodeColor(nodeId), 'FontSize', fontSize);
end;
timestr = sprintf('current time:  %8.2fs', time);
xlabel(timestr, 'FontSize', fontSize);

for time=deltaTime:deltaTime:endTime
	pause(0.5);
	position = get_NodeCurrPosition(nodes, (1:numOfNodes), time);
	for nodeId=1:numOfNodes
		set(h(nodeId), 'Position', [real(position(nodeId)), imag(position(nodeId))]);
	end;
	timestr = sprintf('current time:  %8.2fs', time);
	xlabel(timestr, 'FontSize', fontSize);
end;