function [prop, mac, proto] = get_BasicSimParam


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% propagation parameters
prop.fc_freq  = 2.4e9;					% carrier frequency in 802.11b
prop.fc_lambda= 3.0e8/prop.fc_freq;		% wavelength

prop.antenna_ht = 1.5;					% height of transmit antenna
prop.antenna_hr = 1.5;					% height of receive antenna
prop.antenna_GainT = 1.0;				% gain of transmit antenna
prop.antenna_GainR = 1.0;				% gain of receive antenna
prop.antenna_Loss  = 1.25;

prop.TxPower_dBm   = 10*log10(15);		% transmit power in dBm

% BOLTZMANN    = 1.379e-23;
% TEMPERATURE  = 290;
% NOISE_FACTOR = 10.0;
% BandWidth    = 20e6;
% noise_mW_hz  = BOLTZMANN * TEMPERATURE * NOISE_FACTOR * 1000.0;
% NoisePower_dBm = 10*log10(noise_mW_hz * BandWidth);
prop.NoisePower_dBm  = -90.97;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% 802.11b parameters
mac.preamble = 192e-6;                 % long  preamble = 192us (for all rates)
                          		       % short preamble =  96us (for 2M, 5.5M, 11M)
mac.SIFS     =  10e-6;
mac.SLOT     =  20e-6;
mac.DIFS     =  mac.SIFS + 2*mac.SLOT;
mac.DHeadBits=  56*8;                  % number of overhead bits in data header
%                RTS  CTS  DATA  ACK  CRQ
mac.BRateBits= [20*8 14*8     0 14*8 20*8]; % Bits transmitted at basic rate

mac.BasicRate= [ 1e6  2e6   2e6  2e6]; % basic rate for control part
mac.DataRates= [ 1e6  2e6 5.5e6 11e6]; % rate for payload part

mac.RATE_1M  = 1;
mac.RATE_2M  = 2;
mac.RATE_55M = 3;
mac.RATE_11M = 4;

mac.commRange= 500;

mac.frmRTS   = 1;
mac.frmCTS   = 2;
mac.frmDATA  = 3;
mac.frmACK   = 4;
mac.frmCRQ   = 5;

mac.shortRetransmitLimit= 7;
mac.longRetransmitLimit = 4;

mac.cwMin = 31;
mac.cwMax = 1023;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% routing protocol parameters
proto.numOfProto = 2;
proto.PROTO_V2X_SPS = 1;
proto.PROTO_V2X_PROP = 1;

proto.PROTO_NAME= {'V2X-SPS', 'V2X-PROP'};
