function fading_dB = get_ChannelFadingdB (currTime, nodePairSet, fadingParam)

% currTime:    current simulation time
% nodePairSet: a set of node Id Pairs
% fadingParam: a structure holding fading parameters



%startpoint = zeros(size(nodePairSet,1),1);
%for k=1:size(nodePairSet,1)
%	startpoint(k) = fadingParam.fadingStartPoint(nodePairSet(k,1), nodePairSet(k,2));
%end;
index = (nodePairSet(:,1)-1)*fadingParam.numOfNodes + nodePairSet(:,2);
startpoint = fadingParam.fadingStartPoint(index);


runlen  = round(fadingParam.sampling_rate * fadingParam.doppler / fadingParam.base_doppler_freq * currTime);
currPos = mod( (startpoint + runlen), size(fadingParam.gaussianComponent,1) );
currPos = currPos + (currPos==0)*size(fadingParam.gaussianComponent,1);


%gaussian= zeros(size(currPos,1),2);
%for k=1:size(currPos,1)
%	gaussian(k,:) = fadingParam.gaussianComponent(currPos(k),:);
%end;
gaussian = fadingParam.gaussianComponent(currPos,:);


value1 = gaussian(:,1) + sqrt(2.0 * fadingParam.kFactor);
value2 = gaussian(:,2);
fading_dB = 10*log10((value1.^2 + value2.^2) / (2.0 * (fadingParam.kFactor + 1)));
return;