function SNR_dB = get_ChannelSNRdB (Dist, prop)
% For the purpose of test
%     Dist = (10:10:500)';

% Dist:   distance between two nodes, single value or vector
% SNR_dB: calculated SNR in dB


crossover_dist = (4 * pi * prop.antenna_ht * prop.antenna_hr) / prop.fc_lambda;
index = Dist < crossover_dist;

M = prop.fc_lambda ./ (4 * pi * Dist);
Pr1 = (prop.antenna_GainT * prop.antenna_GainR * M.^2) / prop.antenna_Loss;
Pr2 = prop.antenna_GainT * prop.antenna_GainR * (prop.antenna_hr ^2 * prop.antenna_ht ^2) ./ (Dist.^4 * prop.antenna_Loss);

Pr  = index .* Pr1 + (~index) .* Pr2;
Pr  = 10*log10(Pr) + prop.TxPower_dBm;
RSSI_dBm = Pr + 10*log(0.8) - 0.2 - 0.3;

SNR_dB = RSSI_dBm - prop.NoisePower_dBm;
%fading = raylrnd(1/sqrt(2), size(SNR_dB,1), size(SNR_dB,2));
%SNR_dB = SNR_dB + 20*log10(fading);
return;