function position = get_NodeCurrPosition(nodes, nodeIds, time)

% nodes:   a vector of 'node' structures
% nodeIds: a vector containing the Id of several nodes
% time:    the current simulation time

position = [];
for p=1:length(nodeIds)
	nb = nodeIds(p);

	index = find(time >= nodes(nb).posinfo(:,2));
	idx   = max(index);
	oldpos= nodes(nb).posinfo(idx,3);
	speed = nodes(nb).posinfo(idx,4);
	tdiff = time - nodes(nb).posinfo(idx,2);
	nbPos = oldpos + speed * tdiff;
	position = [position; nbPos];
end;